# Generated by Django 3.1.3 on 2020-11-18 16:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.functions.datetime
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ChatRoom',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'chat_room',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('text', models.TextField()),
                ('date', models.DateTimeField(default=django.db.models.functions.datetime.Now)),
                ('chat_room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Chat.chatroom')),
                ('sender', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'chat_message',
                'ordering': ('-date',),
            },
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('chat_room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Chat.chatroom')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'chat_participant',
                'ordering': ('person',),
                'unique_together': {('person', 'chat_room')},
            },
        ),
        migrations.CreateModel(
            name='UnreadMessage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('message', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Chat.message')),
                ('participant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Chat.participant')),
            ],
            options={
                'db_table': 'chat_unreadmessage',
                'unique_together': {('message', 'participant')},
            },
        ),
    ]
